#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libpeas-1.36.0

- Next

  evolution-data-server-3.54.3

- Up
- Home

# libshumate-1.3.2

## Introduction to libshumate

The libshumate package contains a GTK-4 widget to display maps.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libshumate/1.3/libshumate-1.3.2.tar.xz

- Download MD5 sum: 3dea93dd98cd2665b7ad69b1f65f33cb

- Download size: 5.6 MB

- Estimated disk space required: 15 MB

- Estimated build time: 0.2 SBU

### libshumate Dependencies

#### Required

GTK-4.16.12, libsoup-3.6.4, and Protobuf-c-1.5.1

#### Recommended

GLib-2.82.5 (with GObject Introspection) (required for gnome-maps)

#### Optional

Gi-DocGen-2025.3, Valgrind-3.24.0, and sysprof

## Installation of libshumate

Install libshumate by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr          \
                --buildtype=release    \
                --wrap-mode=nodownload \
                -D gtk_doc=false       \
                ..                     &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed -e 's/lib_version/version/' \
        -i ../docs/meson.build      &&
    meson configure -D gtk_doc=true &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nodownload`: This switch prevents meson from downloading any optional dependency which is not installed on the system.

## Contents

Installed Programs: None
Installed Libraries: libshumate-1.0.so
Installed Directories: /usr/include/shumate-1.0 and /usr/share/doc/libshumate-1.3.2 (optional)

### Short Descriptions

`libshumate-1.0.so` | contains functions that provide a GTK-4 widget to display maps

- Prev

  libpeas-1.36.0

- Next

  evolution-data-server-3.54.3

- Up
- Home